'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = getTranslated;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactI18next = require('react-i18next');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getTranslated(WrappedComponent, _ref) {
	var i18n = _ref.i18n;

	function TranslatedComponent(props) {
		return _react2.default.createElement(
			_reactI18next.I18nextProvider,
			{ i18n: i18n },
			_react2.default.createElement(WrappedComponent, props)
		);
	}

	TranslatedComponent.propTypes = WrappedComponent.propTypes;
	TranslatedComponent.displayName = 'Translated(' + WrappedComponent.displayName + ')';

	return TranslatedComponent;
}